--- NVIDIA-Linux-x86_64-340.108-patched-orig/kernel/nv-drm.c	2023-05-07 06:04:38.431645232 -0400
+++ NVIDIA-Linux-x86_64-340.108/kernel/nv-drm.c	2023-05-07 08:16:59.993266707 -0400
@@ -382,7 +382,7 @@
 }
 
 static int nv_drm_gem_vmap(struct drm_gem_object *gem,
-                           struct dma_buf_map *map)
+                           struct iosys_map *map)
 {
     map->vaddr = nv_gem_prime_vmap(gem);
     if (map->vaddr == NULL) {
@@ -393,7 +393,7 @@
 }
 
 static void nv_drm_gem_vunmap(struct drm_gem_object *gem,
-                              struct dma_buf_map *map)
+                              struct iosys_map *map)
 {
     nv_gem_prime_vunmap(gem, map->vaddr);
     map->vaddr = NULL;
@@ -529,11 +529,7 @@
 #if defined(NV_DRM_GEM_OBJECT_PUT_UNLOCKED_PRESENT)
     drm_gem_object_put_unlocked(&nv_obj->base);
 #else
-#if LINUX_VERSION_CODE >= KERNEL_VERSION(5, 9, 0)
-    drm_gem_object_put_locked(&nv_obj->base);
-#else
-    drm_gem_object_unreference_unlocked(&nv_obj->base);
-#endif
+    drm_gem_object_put(&nv_obj->base);
 #endif
 
     status = RM_OK;
